// TfwkUiCfgKey.cpp: implementation of the TfwkUiCfgKey class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TfwkUi.h"
#include "TfwkUiCfgKey.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TfwkUiCfgKey::TfwkUiCfgKey()
{

}

TfwkUiCfgKey::~TfwkUiCfgKey()
{

}



bool 
TfwkUiCfgKey::Parse( const CString &strLine )
{
  int nPosEq = strLine.Find( _T( '=' ) );
  if ( nPosEq == -1 )
    return false;

  // Get the name
  _strName = strLine.Left( nPosEq );
  _strName.TrimRight();

  // Get the value
  CString strValue = strLine.Mid( nPosEq +1 );
  strValue.TrimLeft();
  if ( strValue.GetLength() < 2 )
    return false;

  if ( strValue[0] != _T( '"' ) ||
       strValue[ strValue.GetLength() -1 ] != _T( '"' ) )
    return false;

  _strValue = strValue.Mid( 1, strValue.GetLength() -2 );
  return true;
}


void 
TfwkUiCfgKey::Make( CString &strLine )
{
#if 0   // not needed
  CString strValue;
  int nPos;
  for ( nPos =0; nPos < _strValue.GetLength(); ++nPos )
  {
    TCHAR cCur = _strValue.At( nPos );

    if ( cCur == _T( '"' ) )
      strValue += _T( '"' );
    
    strValue += cCur;
  }
#endif
  strLine.Format( _T( "%s=\"%s\"" ),
                  _strName,
                  _strValue );
}

