// TtrEnclosure.cpp: implementation of the TtrEnclosure class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TtrEnclosure.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TtrEnclosure::TtrEnclosure( const EString &strOpen,
                           const EString &strClose ) :
    _strOpen( strOpen ),
    _strClose( strClose )
{ 
}

TtrEnclosure::~TtrEnclosure()
{

}


const EString &
TtrEnclosure::getOpening() const
{
  return _strOpen;
}


const EString &
TtrEnclosure::getClosure() const
{
  return _strClose;
}


bool 
TtrEnclosure::operator ==( const TtrEnclosure &enclosure ) const
{
  return _strOpen == enclosure._strOpen  &&
         _strClose == enclosure._strClose;
}


bool 
TtrEnclosure::operator !=( const TtrEnclosure &enclosure ) const
{
  return !( *this == enclosure );
}
