// EDynArray.h: interface for the EDynArray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EDYNARRAY_H__F247C3B5_9454_11D2_AF24_AA0DE873AB61__INCLUDED_)
#define AFX_EDYNARRAY_H__F247C3B5_9454_11D2_AF24_AA0DE873AB61__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


/* History:
 * - 15/12/1998 : - Class created.
 *                - Notes: MSVC lamely crash if there is no space before template
 *                  parameters !
 */

#include "EArray.hpp"
#include "EDynArrayT.h"


template<class TElm,bool bIsObject =false>
class EDynArray : public EDynArrayT< EArray<TElm,bIsObject> >
{
public:
  typedef EDynArrayT< EArray<TElm,bIsObject> > EDynArraySuper;

  /*! Default constructor.
   */
  EDynArray() {}

	/*! Constructs an array with an initial size.
   * @param nSize Initial size of the arrau.
   */
  EDynArray( SL nSize );

  /* Destructor.
   */
  virtual ~EDynArray() {}
};



template<class TElm,bool bIsObject>
EDynArray<TElm,bIsObject>::EDynArray( SL nSize ) :
    EDynArraySuper( nSize )
{
}


#endif // !defined(AFX_EDYNARRAY_H__F247C3B5_9454_11D2_AF24_AA0DE873AB61__INCLUDED_)
