// ###########################################################################
// File: EToolLibMacros.h
// (c)Copyright 03/1999, Gaia Creation, Baptiste Lepilleur
// ###########################################################################

#if !defined(AFX_ETOOLLIBMACROS_H__B78AA253_D476_11D2_BD55_0040053AD648__INCLUDED_)
#define AFX_ETOOLLIBMACROS_H__B78AA253_D476_11D2_BD55_0040053AD648__INCLUDED_

// Assertion macro
#ifndef EASSERT
# ifdef ETL_ASSERT
#  define EASSERT ETL_ASSERT    // use Environment Assert( MFC...)
# else
#  define EASSERT assert    // use crt assert
#  include <assert.h>
# endif
#endif

#define EMAX(a, b) (((a)>(b))?(a):(b))
#define EMIN(a, b) (((a)<(b))?(a):(b))
#define EDIST(a, b) ( (a < b)? (b-a) : (a-b) )
#define EABS( a ) ( ((a) >= 0) ? (a) : -(a) )
#define EBOUND(v, vmin, vmax) (EMAX(vmin, EMIN(vmax, v)))
/// Return the number of elements in a array.
#define EARRCOUNT( array ) (sizeof(array)/sizeof(array[0]))



#endif // !defined(AFX_ETOOLLIBMACROS_H__B78AA253_D476_11D2_BD55_0040053AD648__INCLUDED_)
