// TfwkClass.h: interface for the TfwkClass class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TFWKCLASS_H__43290693_4193_11D3_BE29_0040053AD648__INCLUDED_)
#define AFX_TFWKCLASS_H__43290693_4193_11D3_BE29_0040053AD648__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TfwkClassId.h"

/*! \class TfwkClass
 *  \include "TfwkClass.h"
 * \brief This class must be inherited to provide object creation and identification.
 */
class TFWK_UI_EXPORT TfwkClass  
{
public:
  /*! 
   * Default constructor.
   */
  TfwkClass() {}

  /*! 
   * Destructor.
   */
  virtual ~TfwkClass() {}

  /*!
   * Gets the class id of this object.
   * @return Class id of this object.
   */
  virtual const TfwkClassId &objectId() const =0;
};

#endif // !defined(AFX_TFWKCLASS_H__43290693_4193_11D3_BE29_0040053AD648__INCLUDED_)
