// TfwkUiDlgNewSuite.cpp : implementation file
//

#include "stdafx.h"
#include "TfwkUi.h"
#include "TfwkUiDlgNewSuite.h"
#include "TfwkUiSuite.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// TfwkUiDlgNewSuite dialog


TfwkUiDlgNewSuite::TfwkUiDlgNewSuite( TfwkUiSuite *pSuite,
                                      CWnd* pParent /*=NULL*/)
	: CDialog(TfwkUiDlgNewSuite::IDD, pParent),
  _pSuite( pSuite )
{
  ASSERT( pSuite );

	//{{AFX_DATA_INIT(TfwkUiDlgNewSuite)
	_strName = pSuite->Name();
	//}}AFX_DATA_INIT
}


void TfwkUiDlgNewSuite::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(TfwkUiDlgNewSuite)
	DDX_Text(pDX, IDC_TFWKUI_EDIT_NAME, _strName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(TfwkUiDlgNewSuite, CDialog)
	//{{AFX_MSG_MAP(TfwkUiDlgNewSuite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// TfwkUiDlgNewSuite message handlers

void TfwkUiDlgNewSuite::OnOK() 
{
  UpdateData();

  if ( _strName.IsEmpty() )      // Name must not be null...
    return;
	
  if ( _pSuite )
  {
    _pSuite->SetName( _strName );
  }
	CDialog::OnOK();
}
