// TfwkUiTreeSuiteteItem.h: interface for the TfwkUiTreeSuiteteItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TFWKUITREESUITETEITEM_H__33520485_4266_11D3_BE2D_0040053AD648__INCLUDED_)
#define AFX_TFWKUITREESUITETEITEM_H__33520485_4266_11D3_BE2D_0040053AD648__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Resource.h"

class TfwkUiTreeSuiteItem  
{
public:
  TfwkUiTreeSuiteItem() {}
  virtual ~TfwkUiTreeSuiteItem() {}

  /*!
   * Tests if the item is a suite.
   * @return \c true if the item is a suite.
   */
  virtual bool IsSuite() const =0;

  /*!
   * Tests if the item is a test.
   * @return \c true if the item is a test.
   */
  bool IsTest() const;

};


inline bool 
TfwkUiTreeSuiteItem::IsTest() const
{
  return !IsSuite();
}


#endif // !defined(AFX_TFWKUITREESUITETEITEM_H__33520485_4266_11D3_BE2D_0040053AD648__INCLUDED_)
