// ChildFrm.h : interface of the CChildFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDFRM_H__1B7048CA_89DC_11D1_91BC_981384E67461__INCLUDED_)
#define AFX_CHILDFRM_H__1B7048CA_89DC_11D1_91BC_981384E67461__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TtrProgressInfo.h"

class CTtrView;

class CChildFrame : public CMDIChildWnd,
                    public TtrProgressInfo
{
	DECLARE_DYNCREATE(CChildFrame);
	CChildFrame();

  /*! Get the view.
   * @return The view.
   */
  CTtrView *GetView();
	virtual ~CChildFrame();

  virtual void onProgressStart();
  virtual void onProgress();
  virtual void onProgressStop();



// Attributes

// Operations

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
	void SetCurrentLineNo( int no );
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CChildFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  /**@shapeType DependencyLink*/
  /*#  CTtrView lnkUnnamed*/
	XStatusBar  m_statusBar;
	CString m_currentLineNoText;
};

/////////////////////////////////////////////////////////////////////////////


inline CTtrView *
CChildFrame::GetView()
{
  return (CTtrView *)GetDlgItem( AFX_IDW_PANE_FIRST );
}


//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDFRM_H__1B7048CA_89DC_11D1_91BC_981384E67461__INCLUDED_)
