#if !defined(AFX_EWGDLGFINDTEXT_H__C3F293E5_8301_11D2_AEE7_C2B42A2AAA61__INCLUDED_)
#define AFX_EWGDLGFINDTEXT_H__C3F293E5_8301_11D2_AEE7_C2B42A2AAA61__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// EwgDlgFindText.h : header file
//


#include "EwgFindTextInfo.h"



extern UINT EwgDlgFindText_msgOnFind;


/////////////////////////////////////////////////////////////////////////////
// EwgDlgFindText dialog

#define EWGDLGFINDTEXT_MSGFINDTEXT \
  EwgFindTextInfo &info = *(EwgFindTextInfo *)dwInfo;


class EwgDlgFindText : public CDialog
{
// Construction
public:
  /*! Constructs the dialog.
   */
  EwgDlgFindText( CWnd* pParent =NULL );  

  /*! Create the modeless dialog.
   * @return \c TRUE on success. \c FALSE if failed.
   */
  BOOL Create();

  /*! Send a new search message for "search again".
   * @return \c true if the message has been send. \c false if find setting are
   *         wrong (empty find string).
   */
  bool SearchAgain();

  /*! Set the focus on the find what combo.
   */
  void SetDefaultFocus();

// Dialog Data
	//{{AFX_DATA(EwgDlgFindText)
	enum { IDD = IDD_TTR_FIND_TEXT };
	CButton	_btnOk;
	CComboBox	_cbFindText;
	CString	_strFindText;
	BOOL	_bMatchWholeWord;
	BOOL	_bMatchCase;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EwgDlgFindText)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
  /*! Prepare find info structure (for search again).
   * @param info On return information for find request.
   * @param bSearchAgain Use to set the _bIsSearchAgain member of \a info.
   * @return \c true if information are valid.
   */
  bool prepareFindInfo( EwgFindTextInfo &info,
                        bool bSearchAgain );

	// Generated message map functions
	//{{AFX_MSG(EwgDlgFindText)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnEditchangeFindText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  /**@shapeType DependencyLink*/
  /*#  EwgFindTextInfo lnkUnnamed*/
  CWnd *_pParentWnd;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EWGDLGFINDTEXT_H__C3F293E5_8301_11D2_AEE7_C2B42A2AAA61__INCLUDED_)
