// ttrView.cpp : implementation of the CTtrView class
//

/* New Question:
 - Comment faire pour add word ds la liste EOS?
 - Comment utiliser swap de la librairie standard ?
 - Y a t il une autre methode que de mettre le tag group pour les autres controles, pour
   que les touches flches ne circulent que dans le radio groupe. 
 */



/* Question:
- Quels est le workaround standard pour la limite de 32768  la hauteur de document ?
  voir le OnVScroll()
- Comment faire pour le popup menu ait des options grises (updateUI called?)
  GetParentFrame()->SendMessage(WM_INITMENUPOPUP, hMENU);
- Peut-on appeler directement OnHScroll & OnVScroll au lieu d'envoyer des messages?
  Oui, mais plus propre de passer par des messages
- Lors de l'envoie de messages doit-on toujours bidouiller avec MAKEWORD...
  Oui.
- Comment faire pour que lors d'un scroll dans la view, le fond ne soit pas efface ?
  Surcharger OnEraseBkgnd()
- Comment faire pour choisir la couleur d'effacement du fond ?( set COLOR_WINDOW ?)
  Il faut faire un classe pour la fentre. Galre
- Comment faire pour etre sur que l'ID de deux bitmap (ou commandes) se suivent ?
  => View/Ressource Symbol change ? Comment?
  Soit dans quand on donne l'id du bitmap faire ID_TOTO =1234
  Soit Editer ressource.h en dehors de visual
- A quoi sert AfxFindResourceHandle() ?
  Permet de charger depuis des DLL. Cool.
-             AfxLoadSysColorBitmap() ?
  Permet de plaquer les couleurs vers les couleurs que l'utilisateur a definie.
- Peut-on faire un SetMouse() dans OnLButtonUp() ? Ou bien comment faire pour
  que OnSetMouse() soit aussi appel lors du relachement du bouton ?
  Sans problme.
- Manire simple de traduire les ressources dans plusieurs langues ?
  Les DLL sont une bonne solution.
 */

/* History:
- 10/01/98: Premiere version "rapide" de OnDraw(). Affichage du texte en s'arretant
            en bas de la zone de clipping. Aucune prise en compte de la taille de la
            fonte.
- 12/01/98: - OnDraw(): - Prend en Compte la fonte actuelle.
                        - Montre la ligne courante comme etant selectionnee
                        - Optimize l'affichage. Commence  la ligne correspond au haut
                          de la zone de clipping et s'arrete en bas.
            - La view est maintenant une ScrollView.
            - Le clavier est gr pour dplacer la ligne courante et raffraichir 
              (optimization du raffraichissement, redessine que ancienne ligne
               et ligne courante).
            - La ligne courante est toujours centree au centre de la view.
- 13/01/98: - OnDraw(): - Affichage des attributs indented/glued avec des bitmaps transparents.
            - Gestion souris pour Selection block, Block Command & Line Command:
              - OnLButtonDown(), OnRButtonDown(), OnLButtonUp(), OnRButtonUp(), OnMouseMove()
              - Modification de la forme de la souris en fonction de l'acion en cours
                -> OnSetMouse()
              - Apres un clic, en fonction de la position relative du "button up", on execute
                une commande: (sur les blocks si btn gauche, line si btn droit)
                -  gauche: StartPara
                -  droite: Glued
                - au-dessus: Normal
            - Manipulation generique: - DoAction() 
                                      - StopAction()
            - Command ToolBar & Menu pour: - ID_BLOCK_START_PARA
              & Validation commandes UI    - ID_BLOCK_GLUED
                                           - ID_BLOCK_NORMAL
                                           - ID_BLOCK_ANALYSIS
                                           - ID_LINE_START_PARA
                                           - ID_LINE_GLUED
                                           - ID_LINE_NORMAL
            - Tools:
                - BlockIsValid()
                - LPtoDP()
                - RedrawCurrentLine()
                - RedrawBlock()
                - LineAt()
                - GetActionLine()
                - CheckBlock()
- 16/01/98: Change UI behavior: - Left button change attribut for clicked line
                                - Right button open a pop-up menu.
- 18/01/98: - Finish popup menu stuff.
            - Added bitmap to mark block start & end.
            - remove set block start with left button (cause to much operation error).
            - drop files managed. It opens document !
            - Left button now set the current line.
            - add current line no in status (changed to current y->debug vscroll)
              BUG: VSCROLL is limited to 32767 !!!
- 21/01/98: - VScroll debuggue (c'etait dans les MFC!).
            - Le fond n'est plus efface => a clignote plus. (Mais il faut maintenant effacer
              quand le texte est petit (A FAIRE )
            - Les options dans le popup sont maintenant grisees.
- 29/01/98: - Add keyboard block selection.
            - Change EOS dialog so that cursor only move inside the radio button group.
- 31/01/98: - Add accelerator table for this view.            
- 04/02/98: - Correction du bug de dplacement touche PRIOR.
            - Correction slection avec bloc cach.
- 05/02/98: - La modification du mode au niveau global envoie le msg MSG_GLOBAL_MODE_CHANGE
               toute les vues.
- 24/08/98: - Remplacement quasi-complet de la scrollview pour supprimer le bug sous W95.
              Sous win95 DPtoLP est limit  16 bits et provoque une erreur de dimensionnement
              de la barre de scroll. La scroll view a donc t abandonne et refaite uniquement
              pour un mode MM_TEXT. Pire que a, mme SetViewPortOrg ne supporte pas du 32 bits
              => N'utilise plus OnPrepareDC et oblige  faire la translation  la main !
- 15/08/98: - Suppression de l'dition du mode local d'analyse.
            - BugFix: Lors des clicks souris, corrige la correction en fonction de la
                      position du scroll.
- 23/11/98: - BugFix: Forgot to take in account horizontal scroll position when drawing
              the left margin and background.
            - Add: click with left & right button in margin set block start & end.
            - BugFix: Change computation of maxLineWidth so that it is at least the
              window width (caused problems width small text).
            - Add Find text.
- 09/02/99: - Replacing CView by EwgScrollView (generalization of the Bugfix for the
              scroll view.
*/

#include "stdafx.h"
#include "ttr.h"

#include "ttrDoc.h"
#include "ttrView.h"
#include "EwgFindTextInfo.h"
#include "TtrTextFormaterFactory.h"
#include "TtrTextFormater.h"
#include "TtrGlobalSettingAccess.h"
#include "TtrSettingManager.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTtrView

IMPLEMENT_DYNCREATE(CTtrView, EwgScrollView)

BEGIN_MESSAGE_MAP(CTtrView, EwgScrollView)
	//{{AFX_MSG_MAP(CTtrView)
	ON_WM_SIZE()
	ON_WM_KEYDOWN()
	ON_WM_LBUTTONDOWN()
	ON_WM_RBUTTONUP()
	ON_COMMAND(ID_BLOCK_INDENT, OnBlockIndent)
	ON_COMMAND(ID_BLOCK_GLUE, OnBlockGlue)
	ON_COMMAND(ID_BLOCK_NORMAL, OnBlockNormal)
	ON_COMMAND(ID_LINE_INDENT, OnLineIndent)
	ON_COMMAND(ID_LINE_GLUE, OnLineGlue)
	ON_COMMAND(ID_LINE_NORMAL, OnLineNormal)
	ON_WM_SETCURSOR()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONUP()
	ON_COMMAND(ID_BLOCK_ANALYSE, OnBlockAnalyse)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_ANALYSE, OnUpdateBlockAnalyse)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_GLUE, OnUpdateBlockGlue)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_NORMAL, OnUpdateBlockNormal)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_INDENT, OnUpdateBlockIndent)
	ON_COMMAND(ID_PU_BLOCK_SET_START, OnPuBlockSetStart)
	ON_COMMAND(ID_PU_BLOCK_SET_END, OnPuBlockSetEnd)
	ON_COMMAND(ID_BLOCK_SELECT_ALL, OnBlockSelectAll)
	ON_COMMAND(ID_BLOCK_SELECT_NONE, OnBlockSelectNone)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_SELECT_ALL, OnUpdateBlockSelectAll)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_SELECT_NONE, OnUpdateBlockSelectNone)
	ON_WM_ERASEBKGND()
	ON_COMMAND(ID_TTR_SEARCH_TEXT, OnTtrSearchText)
	ON_UPDATE_COMMAND_UI(ID_BLOCK_AUTO_SET_RIGHT_MARGIN, OnUpdateBlockAutoSetRightMargin)
	ON_COMMAND(ID_BLOCK_AUTO_SET_RIGHT_MARGIN, OnBlockAutoSetRightMargin)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, EwgScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, EwgScrollView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, EwgScrollView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTtrView construction/destruction

CTtrView::CTtrView()
{
  _bAnalizingText = false;

  VERIFY( m_bmStartPara.LoadBitmap( IDB_LINE_INDENTED, IDB_LINE_INDENTED_MASK ) );
  VERIFY( m_bmGluedLine.LoadBitmap( IDB_LINE_GLUED, IDB_LINE_GLUED_MASK ) );
  VERIFY( m_bmBlockStart.LoadBitmap( IDB_BLOCK_START, IDB_BLOCK_START_MASK ) );
  VERIFY( m_bmBlockEnd.LoadBitmap( IDB_BLOCK_END, IDB_BLOCK_END_MASK ) );

  m_nMarginWidth = 2 +max( m_bmBlockStart.GetWidth(), m_bmBlockEnd.GetWidth() ) +2;

  VERIFY( m_popup.LoadMenu(IDR_POPUP_TTRVIEW) );

  m_curLineNo = 0;
  m_lineHeight = 0;
  m_blockStartNo = 0;
  m_blockEndNo = -1;
  StopAction();
  HideBlock();

  CWinApp& app = *AfxGetApp();
  m_mapCursors[ actionBlockIndent ] = app.LoadCursor( IDC_BLOCK_INDENTED );
  m_mapCursors[ actionBlockGlue ] = app.LoadCursor( IDC_BLOCK_GLUED );
  m_mapCursors[ actionBlockNormal ] = app.LoadCursor( IDC_BLOCK_NORMAL );
  m_mapCursors[ actionLineIndent ] = app.LoadCursor( IDC_LINE_INDENTED );
  m_mapCursors[ actionLineGlue ] = app.LoadCursor( IDC_LINE_GLUED );
  m_mapCursors[ actionLineNormal ] = app.LoadCursor( IDC_LINE_NORMAL );
  m_mapCursors[ actionBlockSetStart ] = app.LoadCursor( IDC_BLOCK_SET_START );
  m_mapCursors[ actionBlockSetEnd ] = app.LoadCursor( IDC_BLOCK_SET_END );



  m_hAccelerator = ::LoadAccelerators( AfxGetResourceHandle(),
                                       MAKEINTRESOURCE( IDA_VIEW_TFI) );

  TtrGlobalSettingAccess::getGlobalSetting().addChangeListener( this );
}


CTtrView::~CTtrView()
{
  TtrGlobalSettingAccess::getGlobalSetting().removeChangeListener( this );
}


BOOL 
CTtrView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return EwgScrollView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CTtrView drawing

void 
CTtrView::OnDraw(CDC* pDC)
{
	CTtrDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

  EASSERT( m_lineHeight > 0 );
  TtrText &text = pDoc->text();

  CRect drawRect;

  if ( pDC->GetClipBox( &drawRect) == NULLREGION )  // region to be redrawn
    return;

  CFont *oFont;
  CPen *oPen;
  CBrush *oBrush;
  COLORREF oTColor;

  oFont = pDC->SelectObject( GetFont() );
  oPen = pDC->GetCurrentPen();
  oBrush = pDC->GetCurrentBrush();
  oTColor = pDC->GetTextColor();

  pDC->SetTextColor( RGB(255,0,0) );

// that works but can not do it outside. How to do a permanent object ?
//  SelectObject( pDC->m_hDC, GetStockObject( ANSI_FIXED_FONT ) );

  CPoint pointOrg = -GetScrollPosition();

  SL y, no;
  EString str;
  SL x;
  bool marked;      // TRUE if the line is marked

  COLORREF clBkCurrentLine = ::GetSysColor(COLOR_HIGHLIGHT);
  COLORREF clCurrentLine = ::GetSysColor(COLOR_HIGHLIGHTTEXT);
  COLORREF clNormalLine = ::GetSysColor(COLOR_WINDOWTEXT);
  COLORREF clBkNormalLine = ::GetSysColor(COLOR_WINDOW);
  COLORREF clBkCurSelLine = RGB( 0,32,192 );
  COLORREF clCurSelLine = RGB( 255,255,255 );
  COLORREF clMargin = RGB( 160,160,160 );
  COLORREF clBeyondText = RGB( 224,224,224 );
  COLORREF clRightMargin = RGB( 255,0,0 );
  SL nMarginWidth = m_nMarginWidth;
  SL xRightBorder = pointOrg.x + m_maxLineWidth + nMarginWidth;

  no = (drawRect.top -pointOrg.y) / m_lineHeight;  // first line to be redrawn
  y = no * m_lineHeight + pointOrg.y;

  if ( getFormatSetting().getFormatUseRightMargin() )   // set font
  {
    CFont *pFont = pDC->GetCurrentFont();
    LOGFONT font;
    pFont->GetLogFont( &font );
    font.lfPitchAndFamily = FIXED_PITCH | //VARIABLE_PITCH
                            (font.lfPitchAndFamily & ~15);   // font family
    CFont fontFixed;
    fontFixed.CreateFontIndirect( &font );
    pDC->SelectObject( &fontFixed );
  }


// should stop drawing at last line, then draw margin & very light grey.

  SL halfLineHeight = m_lineHeight /2;
  SL nNbLine = text.nbLine();
  for (; 
       y <= drawRect.bottom  &&  no < nNbLine; 
       y += m_lineHeight, ++no)
  {
    const TtrTextLine &line = text.line( no );

    str.setNull();
    marked = ( no >= m_blockStartNo  &&  no <= m_blockEndNo );

    COLORREF bkColor;
    COLORREF txtColor;
    
    // Set background & textcolor
    if ( no == m_curLineNo ) { 
      if ( marked ) {
        bkColor = clBkCurSelLine;
        txtColor = clCurSelLine;
      } else {
        bkColor = clBkCurrentLine;
        txtColor = clCurrentLine;
      }
    } else {
      if ( marked ) {
        bkColor = clNormalLine;
        txtColor = clBkNormalLine;
      } else {
        bkColor = clBkNormalLine;
        txtColor = clNormalLine;
      }
    }

    x = pointOrg.x;   // xDst !
    pDC->FillSolidRect( CRect( CPoint( x,y ), CSize( nMarginWidth, m_lineHeight ) ),
                        clMargin );

    x += 2;

    if ( no == m_blockStartNo ) // block start bitmap
    {
      m_bmBlockStart.Draw( *pDC, x,y+halfLineHeight, CEBitmap::posLeft, CEBitmap::posCenter );
    }

    if ( no == m_blockEndNo )   // block end bitmap
    {
      m_bmBlockEnd.Draw( *pDC, x,y+halfLineHeight, CEBitmap::posLeft, CEBitmap::posCenter );
    }

    x += nMarginWidth -2;
    pDC->FillSolidRect( CRect( x, y, xRightBorder, y +m_lineHeight ),
                        bkColor );

    x += 2;

    // Draw line attribute (glued/indented bitmap)


    if ( line.indentLevel() > 0 )  // indented block bitmap
    {
      m_bmStartPara.Draw( *pDC, x,y+halfLineHeight, CEBitmap::posLeft, CEBitmap::posCenter );
      x += m_bmStartPara.GetWidth() +2;
      str = line;
      str.trimLeft();
    }
    else
    {
      if ( line.isAppended() )    // glued block bitmap
      {
        m_bmGluedLine.Draw( *pDC, x,y+halfLineHeight, CEBitmap::posLeft, CEBitmap::posCenter );
        x += m_bmGluedLine.GetWidth() +2;
        str = line;
        str.trimLeft();
      }
      else
      {
        str = line;
      }
    }

    // Draw right margin
    if ( getFormatSetting().getFormatUseRightMargin() )
    {
      EString strTempLine( line );
      int nRightMarginPos  = getFormatSetting().getFormatRightMargin();
      int nMissingChar = nRightMarginPos - strTempLine.length();
      strTempLine.append( ' ', nMissingChar );

      SL xRightMargin = pDC->GetTextExtent( strTempLine, nRightMarginPos ).cx;
      pDC->FillSolidRect( CRect( x + xRightMargin, y,  
                                 x + xRightMargin+1, y +m_lineHeight ),
                          clRightMargin );
    }

    // Draw text
    pDC->SetBkColor( bkColor );
    pDC->SetBkMode( TRANSPARENT );
    pDC->SetTextColor( txtColor );
    pDC->TextOut( x, y+2, (const char*)str, str.length() );
/*    CString strTmp;
    strTmp.Format( "%06d y=%d y=%d", no, y );
    pDC->TextOut( x, y+2, (const char*)strTmp, strTmp.GetLength() );
 */
  }

  for (; 
       y <= drawRect.bottom; 
       y += m_lineHeight )
  {

    x = pointOrg.x;   // xDst !
    pDC->FillSolidRect( CRect( CPoint( x,y ), CSize( nMarginWidth, m_lineHeight ) ),
                        clMargin );

    x += 2;


    x += nMarginWidth -2;
    pDC->FillSolidRect( CRect( x, y, xRightBorder, y +m_lineHeight ),
                        clBeyondText );
  }


  pDC->SetTextColor( oTColor );
  pDC->SelectObject( oBrush );
  pDC->SelectObject( oPen );
  pDC->SelectObject( oFont );
}

/////////////////////////////////////////////////////////////////////////////
// CTtrView printing

BOOL CTtrView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CTtrView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CTtrView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CTtrView diagnostics

#ifdef _DEBUG
void CTtrView::AssertValid() const
{
	EwgScrollView::AssertValid();
}

void CTtrView::Dump(CDumpContext& dc) const
{
	EwgScrollView::Dump(dc);
}

CTtrDoc* CTtrView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTtrDoc)));
	return (CTtrDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTtrView message handlers

void CTtrView::OnUpdate( CView* pSender, 
                         LPARAM lHint, 
                         CObject* pHint ) 
{
  
  switch( lHint )
  {
    case ttrViewHint_textNew:
      {
        TtrSettingManager manager( TtrGlobalSettingAccess::getGlobalSetting() );
        manager.autoDetectFormatSetting( GetDocument()->text() );

        CheckBlock();
        UpdateScrollSizes();
        Invalidate( FALSE );
      }
      break;

    case ttrViewHint_textContent:
    default:
        CheckBlock();
        UpdateScrollSizes();
        Invalidate( FALSE );
        break;
  }
}

void CTtrView::OnSize(UINT nType, int cx, int cy) 
{
	EwgScrollView::OnSize(nType, cx, cy);
  UpdateScrollSizes();	
  CenterCurrentLine();
}

// Use Accelerator Table of this view to translate message.
BOOL CTtrView::PreTranslateMessage(MSG* pMsg) 
{
  BOOL ok = FALSE;
  if ( m_hAccelerator )
  {
    ok = ::TranslateAccelerator( m_hWnd,
                                 m_hAccelerator,
                                 pMsg );
  }
  if ( !ok )    // Accelerator non traduit !
    return EwgScrollView::PreTranslateMessage(pMsg);
  return TRUE;
}

void CTtrView::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
  if ( keyControlPressed() ) // CONTROL pressed
  {
    if ( !keyShiftPressed() )  // SHIFT NOT pressed
    {
      switch ( nChar )
      {
        case VK_LEFT:
            SendMessage( WM_HSCROLL,
                         MAKEWORD( SB_LINELEFT, 0 ),
                         NULL );
            break;
        case VK_RIGHT:
            SendMessage( WM_HSCROLL,
                         MAKEWORD( SB_LINERIGHT, 0 ),
                         NULL );
            break;
        case VK_UP:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_LINEUP, 0 ),
                         NULL );
            break;
        case VK_DOWN:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_LINEDOWN, 0 ),
                         NULL );
            break;
        case VK_HOME:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_TOP, 0 ),
                         NULL );
            break;
        case VK_END:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_BOTTOM, 0 ),
                         NULL );
            break;
        case VK_PRIOR:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_PAGEUP, 0 ),
                         NULL );
            break;
        case VK_NEXT:
            SendMessage( WM_VSCROLL,
                         MAKEWORD( SB_PAGEDOWN, 0 ),
                         NULL );
            break;
      }
    }
  }
  else  // CONTROL NOT pressed
  {
    TtrText &text = GetDocument()->text();

    if ( !keyShiftPressed() )  // SHIFT NOT pressed
    {
//      const TtrTextLine &line = GetDocument()->text().line( m_curLineNo );
      switch ( nChar )
      {
        case VK_UP:
            ChangeCurrentLine( -1 );
            break;
        case VK_DOWN:
            ChangeCurrentLine( 1 );
            break;
        case VK_PRIOR:
            ChangeCurrentLine( -max( 1, GetPageSize().cy / m_lineHeight) );
            break;
        case VK_NEXT:
            ChangeCurrentLine( max( 1, GetPageSize().cy / m_lineHeight) );
            break;
        case VK_HOME:
            ChangeCurrentLineTo( 0 );
            break;
        case VK_END:
            ChangeCurrentLineTo( text.nbLine() -1 );
            break;
        case VK_LEFT:
            GetDocument()->shiftLineLeft( m_curLineNo );
            RedrawCurrentLine();
            break;
        case VK_RIGHT:
            GetDocument()->shiftLineRight( m_curLineNo );
            RedrawCurrentLine();
            break;
      }
    }
    else    // SHIFT pressed
    {
      if ( text.nbLine() )
      {
        switch ( nChar )
        {
        case VK_DOWN:
          DoSelectDown( 1 );
          break;
        case VK_UP:
          DoSelectUp( 1 );
          break;
        case VK_HOME:
          DoSelectTo( 0 );
          break;
        case VK_END:
          DoSelectTo( text.nbLine() -1 );
          break;
        case VK_PRIOR:
          DoSelectUp( max( 1, GetPageSize().cy / m_lineHeight) );
          break;
        case VK_NEXT:
          DoSelectDown( max( 1, GetPageSize().cy / m_lineHeight) );
          break;
        }
      }
    }

  }
}

// Definit le debut du block
void CTtrView::OnLButtonDown(UINT nFlags, CPoint point) 
{
  if ( m_action == actionNothing )    // pas d'action en cours
  {
    m_actionPos = DPtoLP( point ) + GetScrollPosition();
  
    if ( m_actionPos.x < m_nMarginWidth )   // click in left margin
    {                                       // => set start of block
      m_action = actionBlockSetStart;
    }
    else
    {
      m_action = actionLineSetCurrent;
    }
    m_actionBtn = MK_LBUTTON;
    OnSetCursor( this, 0, 0 );
  }
  else  
    StopAction();
}

// Definit la fin du block
void CTtrView::OnRButtonUp(UINT nFlags, CPoint point) 
{
  if ( m_action == actionNothing )    // pas d'action en cours
  {
    CPoint pt = DPtoLP( point );        // clicked point in client system
    pt += GetScrollPosition();
    ClientToScreen( &point );         // clicked point in screen system


    if ( pt.x < m_nMarginWidth )      // click in left margin
    {                                 // => set end of block
      DoAction( actionBlockSetEnd, LineAt( pt.y ) );
    }
    else                              // Popup menu
    {
      CMenu* pPopup = m_popup.GetSubMenu(0); // rcupre le popup menu
      ASSERT(pPopup != NULL);
      m_actionPos = pt;
  	  GetParentFrame()->SendMessage( WM_INITMENUPOPUP, (WPARAM)pPopup->m_hMenu );
      pPopup->TrackPopupMenu( TPM_CENTERALIGN | TPM_RIGHTBUTTON, 
                              point.x, point.y, 
                              this );
    }
  }
  else  
    StopAction();
}

BOOL CTtrView::OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message) 
{
  HCURSOR curs = NULL;
  if ( m_action != actionNothing )
  {  // curseur correspondant  l'action actuelle
    if ( m_mapCursors.Lookup( m_action, curs ) )
    {
      SetCursor( curs );
      return TRUE;
    }
  }
  return EwgScrollView::OnSetCursor(pWnd, nHitTest, message);
}


void CTtrView::OnMouseMove(UINT nFlags, CPoint point) 
{
  if ( m_actionBtn == MK_LBUTTON )
  {
    CSize delta = DPtoLP(point) -m_actionPos + GetScrollPosition();

    bool bIsBlock = ( m_actionPos.x < m_nMarginWidth ); // block operation ?

    if ( delta.cx <= -16 )
      m_action = bIsBlock ? actionBlockGlue : actionLineGlue;
    else if ( delta.cx >= 16 )
      m_action = bIsBlock ? actionBlockIndent : actionLineIndent;
    else if ( delta.cy <= -16 )
      m_action = bIsBlock ? actionBlockNormal : actionLineNormal;
    else 
      m_action = bIsBlock ? actionBlockSetStart : actionLineSetCurrent;
  }
}

void CTtrView::OnLButtonUp(UINT nFlags, CPoint point) 
{
  DoAction( m_action, GetActionLine() );
  StopAction();
  SendMessage( WM_SETCURSOR );
}

void CTtrView::OnInitialUpdate() 
{
  EwgScrollView::OnInitialUpdate();

  UpdateScrollSizes();
}

void CTtrView::OnBlockIndent() 
{
  DoAction( actionBlockIndent );	
}

void CTtrView::OnBlockGlue() 
{
  DoAction( actionBlockGlue );	
}

void CTtrView::OnBlockNormal() 
{
  DoAction( actionBlockNormal );	
}

void CTtrView::OnLineIndent() 
{
  DoAction( actionLineIndent, m_curLineNo );	
}

void CTtrView::OnLineGlue() 
{
  DoAction( actionLineGlue, m_curLineNo );	
}

void CTtrView::OnLineNormal() 
{
  DoAction( actionLineNormal, m_curLineNo );	
}

void CTtrView::OnBlockAnalyse() 
{
  if ( !_bAnalizingText )
  {
    _bAnalizingText = true;
    GetParentFrame()->setTask( IDS_TTR_ANALYSING );
    TtrTextFormaterFactory factory;
    TtrTextFormater *pFormater = factory.createFormater( getFormatSetting() );
    TtrTextBlock block( GetDocument()->text(),
                        m_blockStartNo, 
                        m_blockEndNo );
    block.setToAllIfEmpty();
    m_blockStartNo = block.range().firstLine();
    m_blockEndNo = block.range().lastLine();
    pFormater->formatBlock( block,
                            getFormatSetting(),
                            GetParentFrame() );
    delete pFormater;

    Invalidate();
    _bAnalizingText = false;
  }
  else
    MessageBeep( MB_ICONEXCLAMATION );
}

void CTtrView::OnPuBlockSetStart() 
{
  DoAction( actionBlockSetStart, GetActionLine() );  	
}

void CTtrView::OnPuBlockSetEnd() 
{
  DoAction( actionBlockSetEnd, GetActionLine() );  	
}

void CTtrView::OnBlockSelectAll() 
{
  DoAction( actionBlockSelectAll );
}

void CTtrView::OnBlockSelectNone() 
{
  DoAction( actionBlockSelectNone );	
}

void CTtrView::OnUpdateBlockAnalyse(CCmdUI* pCmdUI) 
{
//  pCmdUI->Enable( BlockIsValid() );
  pCmdUI->Enable( GetDocument()->text().nbLine() > 0 );
}

void CTtrView::OnUpdateBlockGlue(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( BlockIsValid() );
}

void CTtrView::OnUpdateBlockNormal(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( BlockIsValid() );
}

void CTtrView::OnUpdateBlockIndent(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable( BlockIsValid() );
}

void CTtrView::OnUpdateBlockSelectAll(CCmdUI* pCmdUI) 
{
  pCmdUI->Enable( GetDocument()->text().nbLine() > 0 );
}

void CTtrView::OnUpdateBlockSelectNone(CCmdUI* pCmdUI) 
{
  pCmdUI->Enable( BlockIsValid() );
}


/////////////////////////////////////////////////////////////////////////////
// CTtrView tools


CSize CTtrView::GetDocSize() const
{
  return CSize( m_maxLineWidth, m_docHeight );
}


void CTtrView::UpdateDocSize()
{
  CDC *pDC = getDCScreen();
  pDC->SelectObject( GetFont() );
  pDC->GetTextMetrics( &m_fontTM );   // get font info

  CTtrDoc *pDoc = GetDocument();

  // max line size & space for bitmap 
  m_maxLineWidth = pDoc->text().maxLineLength() * m_fontTM.tmMaxCharWidth 
                   + m_nMarginWidth +2; 

  CRect rectClient;             // Make sure that the line width is at least
  GetClientRect( rectClient );  // the window width !
  m_maxLineWidth = max( m_maxLineWidth, rectClient.Width() );

  m_lineHeight = m_fontTM.tmHeight+ 4;
  m_docHeight = m_lineHeight * pDoc->text().nbLine();
}

CSize CTtrView::GetPageSize() const
{
  RECT cr;
  GetClientRect( &cr );
  int nHeight = (cr.bottom+1-cr.top);
  if ( nHeight > m_lineHeight )
    nHeight -= nHeight % m_lineHeight;
  return CSize( cr.right+1-cr.left,
                nHeight );
}

CSize CTtrView::GetLineSize() const
{
  return CSize( m_fontTM.tmMaxCharWidth,
                m_lineHeight );
}


void CTtrView::UpdateScrollSizes()
{
  UpdateDocSize();
  ShowScrollBar( SB_BOTH );
  SetScrollSizes( GetDocSize(),   // total
                  GetPageSize(),  // page
                  GetLineSize() );	// line
}


// Change the current line number & update view as necessary
// move: current line no increase
void CTtrView::ChangeCurrentLine(int move)
{
  int oCurLineNo = m_curLineNo;

  m_curLineNo = EBOUND( move+m_curLineNo, 0, GetDocument()->text().nbLine()-1);

  if ( m_curLineNo != oCurLineNo )
  {
    RedrawLine( oCurLineNo );
    RedrawLine( m_curLineNo );
    CenterCurrentLine();
  }
  
  GetParentFrame()->SetCurrentLineNo( m_curLineNo +1 ); // update status bar
}

void CTtrView::RedrawLine(int lineNo)
{
  if ( lineNo >= 0 )
  {
    int curY = lineNo *m_lineHeight;
    InvalidateRect( CRect( CPoint(0, curY),
                           CSize(m_maxLineWidth, m_lineHeight) ) );
  }
}

// Redraw the current line
void CTtrView::RedrawCurrentLine()
{
  RedrawLine( m_curLineNo );
}

// Redraw lines of the current block
void CTtrView::RedrawBlock()
{
  RedrawLine( m_blockStartNo );
  RedrawLine( m_blockEndNo );
  CheckBlock();
  if ( m_blockStartNo <= m_blockEndNo )
  {
    int topY = m_blockStartNo *m_lineHeight;
    int height = (m_blockEndNo +1 -m_blockStartNo) *m_lineHeight;
    InvalidateRect( CRect( CPoint(0, topY),
                           CSize(m_maxLineWidth, height ) ) );
  }
}

// Center the current line
void CTtrView::CenterCurrentLine()
{
  RECT cr;
  GetClientRect( &cr );

  int viewHeight = cr.bottom -cr.top+1;

  CPoint topLeft = GetScrollPosition();

  topLeft.y = EBOUND( m_curLineNo * m_lineHeight - viewHeight/2, 
                      0, 
                      m_docHeight-viewHeight-1 );
  
  ScrollToPosition( topLeft );
}

// Change current line to an absolute number.
void CTtrView::ChangeCurrentLineTo(int lineNo)
{
  ChangeCurrentLine( lineNo -m_curLineNo );
}

// Hide selected block
void CTtrView::HideBlock()
{
  if ( m_blockEndNo >= m_blockStartNo )
  {
    m_blockEndNo = m_blockStartNo-1;
    Invalidate();
  }
}

// Update block start & end so that it is inside the text.
// This must be call when the number of line in the text is changed.
void CTtrView::CheckBlock()
{
  int maxLine = GetDocument()->text().nbLine() -1;
  m_blockStartNo = EBOUND( m_blockStartNo, 0, maxLine );  
  m_blockEndNo = EBOUND( m_blockEndNo, -1, maxLine );  
}


// Do an action
void 
CTtrView::DoAction(Action action, int nLineNo )
{
  CTtrDoc *pDoc = GetDocument();

  TtrText &text = pDoc->text();
  TtrTextBlockDef defBlock( m_blockStartNo, m_blockEndNo );
  TtrTextBlockDef defLine( nLineNo, nLineNo );

  switch ( action )
  {
  case actionBlockIndent:
      text.indentBlock( defBlock );
      RedrawBlock();
      break;
  case actionBlockGlue:
      text.glueBlock( defBlock );
      RedrawBlock();
      break;
  case actionBlockNormal:
      text.restoreBlock( defBlock );
      RedrawBlock();
      break;
  case actionLineIndent:
      text.indentBlock( defLine );
      RedrawLine( nLineNo );
      break;
  case actionLineGlue:
      text.glueBlock( defLine );
      RedrawLine( nLineNo );
      break;
  case actionLineNormal:
      text.restoreBlock( defLine );
      RedrawLine( nLineNo );
      break;
  case actionBlockSetStart:
      RedrawLine( m_blockStartNo );
      RedrawBlock();
      m_blockStartNo = nLineNo;
      RedrawBlock();
      RedrawLine( m_blockStartNo );
      break;
  case actionBlockSetEnd:
      RedrawBlock();
      m_blockEndNo = nLineNo;
      RedrawBlock();
      break;
  case actionLineSetCurrent:
      ChangeCurrentLineTo( nLineNo );
      break;
  case actionBlockSelectAll:
      RedrawBlock();
      m_blockStartNo = 0;
      m_blockEndNo = text.nbLine() -1;
      CheckBlock();
      RedrawBlock();
      break;
  case actionBlockSelectNone:
      RedrawBlock();
      m_blockStartNo = 0;
      m_blockEndNo = -1;
      RedrawBlock();
      break;
  case actionNothing:
      break;
  default:
      ASSERT( FALSE );    // Il y a un problme quelque part...
  }
}


// Convert point coordinate to Logical 
CPoint CTtrView::DPtoLP(CPoint& point)
{
  CPoint pt( point );
  CClientDC dc(this);
  OnPrepareDC(&dc); 
  dc.DPtoLP(&pt);
  return pt;
}

// Return the line at the y logival coordinate 'yLog'.
int CTtrView::LineAt(int yLog) const
{
  return max( yLog /m_lineHeight, -1 );
}

// Return the line at the action position 'm_actionPos'.
int CTtrView::GetActionLine() const
{
  return LineAt( m_actionPos.y );
}

// Stop current action.
void CTtrView::StopAction()
{
  m_action = actionNothing;
  m_actionBtn =0;
}

#ifdef _DEBUG
CChildFrame * CTtrView::GetParentFrame() const
{
  CFrameWnd *pFrame = EwgScrollView::GetParentFrame();
  ASSERT( pFrame->IsKindOf( RUNTIME_CLASS( CChildFrame ) ) );
  return (CChildFrame *)pFrame;
}
#endif


BOOL 
CTtrView::OnEraseBkgnd(CDC* pDC) 
{
	return TRUE;
}


// Process a key select from current to step line below.
// Expand/Select block/new block depending on current line position.
void CTtrView::DoSelectDown(int step)
{
  ASSERT( step >= 1 );

  if ( m_blockStartNo == m_curLineNo )  //shrink down
  {
    if ( !BlockIsValid() )
      DoAction( actionBlockSetEnd, m_curLineNo );
    ChangeCurrentLine( step );
    DoAction( actionBlockSetStart, m_curLineNo );
  }
  else
  {
    if ( m_blockEndNo != m_curLineNo )    // select a new block
      DoAction( actionBlockSetStart, m_curLineNo );
    ChangeCurrentLine( step );
    DoAction( actionBlockSetEnd, m_curLineNo );
  }
  BlockArrangeOrder();
}

// Process a key select from current to step line above.
// Expand/Select block/new block depending on current line position.
void CTtrView::DoSelectUp(int step)
{
  ASSERT( step >= 1 );

  if ( m_blockEndNo == m_curLineNo )  //  shrink up
  {
    ChangeCurrentLine( -step );
    DoAction( actionBlockSetEnd, m_curLineNo );
  }
  else
  {
    if ( m_blockStartNo != m_curLineNo ) 
      DoAction( actionBlockSetEnd, m_curLineNo );
    ChangeCurrentLine( -step );
    DoAction( actionBlockSetStart, m_curLineNo );
  }
  BlockArrangeOrder();
}

void CTtrView::DoSelectTo(int nLineNo)
{
  int nDelta = nLineNo -m_curLineNo;
  if ( nDelta > 0 )
    DoSelectDown( nDelta );
  else if ( nDelta < 0 )
    DoSelectUp( -nDelta );
}

// Exchange block start/end if needed to make the block visible.
void CTtrView::BlockArrangeOrder()
{
  if ( m_blockEndNo >= 0)
  {
    if ( m_blockStartNo > m_blockEndNo )
    {
      int tmp = m_blockEndNo;
      m_blockEndNo = m_blockStartNo;
      m_blockStartNo = tmp;
//      swap( m_blockStartNo, m_blockEndNo );
      RedrawBlock();
    }
  }
}


void 
CTtrView::OnTtrSearchText() 
{
  getApp().showFindTextDlg();
}

void 
CTtrView::DoFindText( const EwgFindTextInfo &info )
{
  int nSearchStart = m_curLineNo;

  int nLineNo = GetDocument()->text().findString( nSearchStart,
                                                  info );
  if ( nLineNo >= 0 )
    ChangeCurrentLineTo( nLineNo );
}


void 
CTtrView::OnUpdateBlockAutoSetRightMargin(CCmdUI* pCmdUI) 
{
  pCmdUI->Enable( GetDocument()->text().nbLine() > 0 );
}


struct TtrTextForEachFnAutosetRightMargin : public TtrText::TtrTextForEachFn
{
  TtrTextForEachFnAutosetRightMargin( TtrFormatSetting &mode ) : _mode( mode ) {}
  virtual void operator ()( TtrTextLine &line, SL nLineBlock )
  {
    _mode.setFormatRightMargin( 
          emax( _mode.getFormatRightMargin(), line.firstTrailingSpacePos() ) );
  }
  TtrFormatSetting &_mode;
};


void 
CTtrView::OnBlockAutoSetRightMargin() 
{
  CTtrDoc *pDoc = GetDocument();
  TtrText &text = pDoc->text();
  TtrTextBlockDef defBlock( m_blockStartNo, m_blockEndNo );
  if ( !defBlock.isValid( text.nbLine() ) )
    defBlock.set( 0, text.nbLine() );

  getFormatSetting().setFormatRightMargin( 0 );
  text.forEach( defBlock, 
                TtrTextForEachFnAutosetRightMargin( getFormatSetting() ) );
  
  getFormatSetting().setFormatUseRightMargin( true );

  TtrGlobalSettingAccess::getGlobalSetting().fireChanged();
}


TtrFormatSetting &
CTtrView::getFormatSetting()
{
  return TtrGlobalSettingAccess::getGlobalSetting();
}


void 
CTtrView::globalSettingChanged( TtrGlobalSetting &setting )
{
  if ( GetSafeHwnd() )
    Invalidate();
}
